Subject: Re: bug#35783: Guile-Parted crashes the installer on i686-linux

From: Mathieu Othacehe <[email-masked]>
Date: Sun, 19 May 2019 16:24:26 +0200

Hey Ludo,

> Longer-term it would be good to audit Guile-Parted: it probably
> shouldn’t be possible for Guile-Parted to refer to “defunct” Parted
> objects.

Yup, with hindsight I realize that keeping Guile-Parted so low-level was
a mistake. With a few more abstractions (gnu installer parted) could be
less complicated.

Anyway, thanks for pushing this patch.

Mathieu